@import url("https://fonts.googleapis.com/css2?family=Unbounded:wght@800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Unbounded:wght@700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,700;1,14..32,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,600;1,14..32,600&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,500;1,14..32,500&display=swap");

:root {
  --background-color: black;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@media (min-width: 360px) {
  html,
  body {
    background-color: var(--background-color);
    width: 100%;
    height: 100%;
    min-height: 100vh;
    font-family: Inter;
    color: white;
    overflow: auto;
  }
  .header {
    position: relative;
    z-index: 999;
    display: flex;
    background-color: black;
    height: 80px;
    align-items: center;
    padding: 0 20px;
    justify-content: space-between;
  }
  .header .logo {
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 12px;
    color: white;
  }

  .header .games-header {
    display: none;
  }

  .header .language-signin {
    display: flex;
    align-items: center;
    gap: 12px;
  }

  .dropdown-language ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }
  .menu {
    display: flex;
  }
  .menu-item {
    position: relative;
  }
  .menu-item > a {
    display: block;
    padding: 15px 20px;
    color: white;
    text-decoration: none;
  }
  .submenu {
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #444;
    min-width: 40px;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition: all 0.3s ease;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  }
  .menu-item:hover .submenu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }
  .submenu li a {
    display: block;
    padding: 12px 20px;
    color: white;
    text-decoration: none;
    border-bottom: 1px solid #555;
  }
  .submenu li:last-child a {
    border-bottom: none;
  }
  .submenu li a:hover {
    background-color: #666;
  }

  .header .language-signin button {
    padding: 0 16px;
    height: 40px;
    background-color: black;
    border: 1px solid #636363;
    border-radius: 100px;
    cursor: pointer;

    color: white;
    font-size: 16px;
    font-weight: 500;
  }
  .header .language-signin .signup-btn {
    display: none;
  }

  .games-header {
    display: flex;
    justify-content: space-between;
    padding: 0 20px;
    margin-top: 16px;
  }
  .games-header p {
    font-size: 14px;
    font-weight: 600;
  }
  .games-header .active-game {
    cursor: pointer;
    color: white;
  }
  .games-header .inactive-game {
    cursor: no-drop;
    color: #494949;
  }

  .create-team-block {
    position: relative;
    overflow: hidden;
    display: flex;
    /* justify-content: center; */
    align-items: center;
    width: 100%;
    height: 36.56rem;
    margin-top: 16px;
  }
  .create-team-block::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(
      136.98deg,
      rgba(12, 12, 12, 0.97) 32.97%,
      rgba(12, 12, 12, 0) 100%
    );

    z-index: 0;
    pointer-events: none;
  }
  .create-team-block .main-bg-top {
    position: absolute;
    left: 0;
    width: 100%;
    height: 50%;
    background-repeat: repeat-x;
    background-size: auto 100%;
    z-index: 0;
    top: 0;
    background-image: url("images/Main_Top_Bg.webp");
    animation: scrollRight 90s linear infinite;
  }
  .create-team-block .main-bg-bottom {
    position: absolute;
    left: 0;
    width: 100%;
    height: 50%;
    background-repeat: repeat-x;
    background-size: auto 100%;
    z-index: 0;
    bottom: 0;
    background-image: url("images/Main_Bottom_Bg.webp");
    animation: scrollLeft 90s linear infinite;
  }

  .create-team-block .info {
    position: relative;
    z-index: 1;
    padding: 0 20px;
    display: flex;
    flex-direction: column;
    gap: 40px;
  }

  .create-team-block .info p:nth-child(1) {
    color: white;
    font-size: 30px;
    font-weight: 800;
    line-height: 33.46px;
    text-transform: uppercase;
    font-family: "Unbounded";
  }
  .create-team-block .info p:nth-child(2) {
    color: white;
    font-weight: 700;
    line-height: 21.06px;
  }

  .create-team-block .info button {
    cursor: pointer;
    background-color: #781bee;
    height: 48px;
    border-radius: 100px;
    border: none;
    width: max-content;
    padding: 0 20px;
    color: white;
    font-size: 23px;
    font-weight: 700;
    text-transform: uppercase;
    font-family: Inter;
  }

  .how-to-start-block {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: 16px;
  }
  .how-to-start-block .head {
    color: white;
    font-size: 20px;
    font-weight: 700;
    margin-left: 20px;
  }

  .how-to-start-block .scroll-cards {
    display: flex;
    overflow: auto;
    gap: 16px;
    padding-bottom: 8px;
  }
  .how-to-start-block .scroll-cards .guide-card {
    position: relative;
    width: 280px;
    min-width: 280px;
    height: 356px;
    max-height: 356px !important;
    border-radius: 30px;
    overflow: hidden;
  }

  .how-to-start-block .scroll-cards .guide-card:first-child {
    margin-left: 20px;
  }
  .how-to-start-block .scroll-cards .guide-card:last-child {
    margin-right: 20px;
  }

  .how-to-start-block .scroll-cards .guide-card::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 22.9%, #000000 84.4%);

    z-index: 0;
    pointer-events: none;
  }

  .how-to-start-block .scroll-cards .guide-card img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
  }

  .how-to-start-block .scroll-cards .guide-card .card-info {
    position: relative;
    z-index: 1;
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-between;
    padding: 10px;
  }

  .how-to-start-block .scroll-cards .guide-card .card-info .number-card {
    font-size: 20px;
    font-weight: 700;
    width: 45px;
    height: 45px;
    background-color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    font-variant-numeric: tabular-nums;
  }

  .how-to-start-block .scroll-cards .guide-card .card-info div {
    display: flex;
    flex-direction: column;
    gap: 26px;
  }
  .how-to-start-block .scroll-cards .guide-card .card-info div p:first-child {
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
  }
  .how-to-start-block .scroll-cards .guide-card .card-info div p:last-child {
    font-size: 14px;
    font-weight: 500;
  }

  .win-prize-block {
    margin-top: 16px;
  }
  .win-prize-block .head {
    margin-left: 20px;
    font-size: 20px;
    font-weight: 700;
  }
  .win-prize-block .scroll-cards {
    display: flex;
    overflow: auto;
    gap: 16px;
    padding-bottom: 8px;
    margin-top: 24px;
  }
  .win-prize-block .scroll-cards .card-prize {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    width: 280px;
    min-width: 280px;
    height: 280px;
    position: relative;
    padding: 20px;
    background: #000;
    overflow: hidden;
    border-radius: 30px;
  }
  .win-prize-block .scroll-cards .card-prize:first-child {
    margin-left: 20px;
  }
  .win-prize-block .scroll-cards .card-prize:first-child .blur-1 {
    position: absolute;
    width: 232px;
    height: 274px;
    top: -50px;
    left: 10px;
    z-index: 1;
    transform: rotate("-5deg");
    background: radial-gradient(
      50% 50% at 50% 50%,
      #24ff00 0%,
      rgba(37, 69, 17, 0) 100%
    );
  }
  .win-prize-block .scroll-cards .card-prize:first-child .blur-2 {
    position: absolute;
    width: 232px;
    height: 274px;
    top: -50px;
    right: -20px;
    z-index: 1;
    transform: rotate("-18deg");
    background: radial-gradient(
      50% 50% at 50% 50%,
      #ffe600 0%,
      rgba(179, 97, 0, 0) 100%
    );
  }
  .win-prize-block .scroll-cards .card-prize:last-child {
    margin-right: 20px;
  }
  .win-prize-block .scroll-cards .card-prize:last-child .blur-1 {
    position: absolute;
    width: 232px;
    height: 274px;
    top: -50px;
    left: -10px;
    z-index: 1;
    transform: rotate("-16deg");
    background: radial-gradient(
      50% 50% at 50% 50%,
      #0057ff 0%,
      rgba(117, 1, 136, 0) 100%
    );
  }
  .win-prize-block .scroll-cards .card-prize:last-child .blur-2 {
    position: absolute;
    width: 232px;
    height: 274px;
    top: -50px;
    right: -20px;
    z-index: 1;
    transform: rotate("-16deg");
    background: radial-gradient(
      50% 50% at 50% 50%,
      #ffe600 0%,
      rgba(179, 97, 0, 0) 100%
    );
  }
  .win-prize-block .scroll-cards .card-prize img {
    position: absolute;
    z-index: 2;
    top: 0;
    right: 0;
  }
  .win-prize-block .scroll-cards .card-prize p {
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
  }

  .nft-cards-block {
    position: relative;
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 20px;
    gap: 24px;
    overflow: hidden;
  }
  .nft-cards-block .blur {
    position: absolute;
    background: radial-gradient(
      50% 50% at 50% 50%,
      #781bee 0%,
      rgba(78, 37, 130, 0) 100%
    );
    width: 630px;
    height: 352px;
    z-index: 1;
  }
  .nft-cards-block .text {
    position: relative;
    z-index: 2;
    text-align: center;
    font-size: 24px;
    font-weight: 700;
    text-transform: uppercase;
    font-family: "Unbounded";
  }
  .desk {
    display: none;
  }
  .nft-cards-block .roles-cards {
    position: relative;
    z-index: 2;
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 8px;
  }
  .nft-cards-block .roles-cards .role-card {
    display: flex;
    width: 100%;
    max-width: 116px;
    aspect-ratio: 1 / 1.4;
    border-radius: 7px;
    border: 1px solid #9159ee;
    justify-content: center;
    align-items: center;
    background: radial-gradient(
      62.22% 62.22% at 50% 50%,
      rgba(212, 191, 227, 0.45) 0%,
      rgba(34, 8, 89, 0.45) 100%
    );
    transition: 0.2s linear;
  }
  .nft-cards-block .roles-cards .role-card:hover {
    transform: scale(1.05);
  }
  .nft-cards-block .roles-cards .role-card p {
    font-size: 12px;
    text-align: center;
  }
  .nft-cards-block button {
    cursor: pointer;
    background-color: #781bee;
    height: 48px;
    border-radius: 100px;
    border: none;
    padding: 0 20px;

    color: white;
    font-size: 23px;
    font-weight: 700;
    text-transform: uppercase;
    font-family: Inter;
  }

  .info-block {
    padding: 0 20px;
    margin-top: 28px;
  }
  .info-block .buttons_block {
    display: flex;
    justify-content: space-between;
  }

  .info-block .buttons_block img {
    cursor: pointer;
    border-radius: 100px;
    padding: 2px;
    color: transparent;
    transition: opacity 0.2s linear;
  }

  .info-block .buttons_block img.active {
    background-color: #181616;
  }

  .info-block .text {
    margin-top: 24px;
    font-size: 16px;
    font-weight: 500;
    transition: opacity 0.2s linear;
  }

  .info-block .image-container {
    display: flex;
    justify-content: center;
  }
  .info-block .image-container .image {
    margin-top: 24px;
    width: 100%;
    max-width: 349px;
    transition: opacity 0.2s linear;
  }

  .footer {
    margin-top: 16px;
    background-color: black;
    padding: 30px 20px;
  }
  .footer .links {
    margin-top: 16px;
    display: flex;
    gap: 30px;
  }
  .footer .links img {
    cursor: pointer;
  }

  .footer .rights {
    margin-top: 38px;
    color: rgba(255, 255, 255, 0.6);
    font-size: 12px;
    font-weight: 500;
  }
}

@media (min-width: 430px) {
  .info-block .buttons_block img {
    cursor: pointer;
    border-radius: 100px;
    padding: 6px;
    color: transparent;
    transition: opacity 0.2s linear;
  }

  .create-team-block .info p:nth-child(1) {
    font-size: 33px;
  }

  .create-team-block .info button {
    padding: 0 30px;
  }
}

@media (min-width: 1400px) {
  .header {
    padding: 0 60px;
  }
  .header .language-signin .signup-btn {
    display: block;
  }
  .header .games-header {
    display: flex;
    gap: 30px;
    padding: 0 20px;
    margin-top: 16px;
  }
  .header .games-header .game-item {
    position: relative;
    display: flex;
    align-items: center;
    gap: 30px;
  }
  .header .games-header p {
    font-size: 20px;
    font-weight: 600;
    margin: 0;
  }
  .header .games-header .active-game {
    cursor: pointer;
    color: white;
  }
  .header .games-header .inactive-game {
    cursor: no-drop;
    color: #494949;
  }
  .header .games-header .soon {
    padding: 0px 16px;
    border: 1px solid #636363;
    border-radius: 100px;
    color: #636363;
    font-size: 16px;
    font-weight: 500;
    opacity: 0;
    visibility: hidden;
    transition:
      opacity 0.3s ease,
      visibility 0.3s ease;
    background: rgba(0, 0, 0, 0.9);
    backdrop-filter: blur(4px);
    white-space: nowrap;
    z-index: 10;
  }
  .header .games-header .game-item.inactive:hover .soon {
    opacity: 1;
    visibility: visible;
  }
  .games-header {
    display: none;
  }

  .create-team-block .main-bg-top {
    animation: scrollRight 30s linear infinite;
  }
  .create-team-block .main-bg-bottom {
    animation: scrollLeft 30s linear infinite;
  }

  .create-team-block .info {
    padding: 0 70px;
  }

  .create-team-block .info p:nth-child(1) {
    font-size: 72px;
    line-height: 74px;
  }
  .create-team-block .info p:nth-child(2) {
    font-size: 20px;
    line-height: 28px;
  }

  .how-to-start-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
    margin-top: 80px;
  }
  .how-to-start-block .head {
    margin-left: 0;
    font-size: 35px;
  }
  .how-to-start-block .scroll-cards {
    display: flex;
    overflow: visible;
    gap: 16px;
    padding-bottom: 8px;
  }
  .how-to-start-block .scroll-cards .guide-card {
    position: relative;
    width: 312px;
    min-width: 312px;
    height: 509px;
    max-height: 509px !important;
    border-radius: 30px;
    overflow: hidden;
    transition: 0.2s linear;
  }
  .how-to-start-block .scroll-cards .guide-card:hover {
    border-color: #8a22cc;
    box-shadow:
      0 0 20px rgba(138, 34, 204, 0.5),
      inset 0 0 15px rgba(138, 34, 204, 0.3);
    transform: translateY(-5px);
  }
  .how-to-start-block .scroll-cards .guide-card .card-info .number-card {
    font-size: 26px;
    width: 55px;
    height: 55px;
  }
  .how-to-start-block .scroll-cards .guide-card .card-info div p:first-child {
    font-size: 25px;
  }
  .how-to-start-block .scroll-cards .guide-card .card-info div p:last-child {
    font-size: 16px;
  }

  .win-prize-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 70px;
  }
  .win-prize-block .head {
    margin-left: 0;
    font-size: 35px;
    text-transform: uppercase;
  }
  .win-prize-block .scroll-cards {
    overflow: visible;
  }
  .win-prize-block .scroll-cards .card-prize {
    width: 423px;
    min-width: 423px;
    height: 234px;
    padding: 20px;
    transition: 0.2s linear;
  }
  .win-prize-block .scroll-cards .card-prize:hover {
    border-color: #8a22cc;
    box-shadow:
      0 0 20px rgba(138, 34, 204, 0.5),
      inset 0 0 15px rgba(138, 34, 204, 0.3);
    transform: translateY(-5px);
  }
  .win-prize-block .scroll-cards .card-prize:first-child .blur-1 {
    top: -50px;
    left: 150px;
    transform: rotate("-15deg");
  }
  .win-prize-block .scroll-cards .card-prize:first-child .blur-2 {
    top: -50px;
    right: -30px;
    transform: rotate("-18deg");
  }
  .win-prize-block .scroll-cards .card-prize:last-child .blur-1 {
    top: -50px;
    left: 120px;
  }
  .win-prize-block .scroll-cards .card-prize:last-child .blur-2 {
    top: -50px;
    right: -20px;
    transform: rotate("-16deg");
  }
  .win-prize-block .scroll-cards .card-prize p {
    font-size: 25px;
  }

  .nft-cards-block {
    margin-top: 70px;
    gap: 30px;
  }
  .desk {
    display: block;
  }
  .mobile {
    display: none;
  }
  .nft-cards-block .blur {
    background: radial-gradient(
      50% 50% at 50% 50%,
      #781bee 0%,
      rgba(78, 37, 130, 0) 100%
    );

    width: 1600px;
    height: 460px;
  }
  .nft-cards-block .text {
    font-size: 40px;
  }
  .nft-cards-block .roles-cards {
    gap: 16px;
  }
  .nft-cards-block .roles-cards .role-card p {
    font-size: 16px;
    font-weight: 700;
  }
  .nft-cards-block button {
    font-size: 25px;
  }

  .info-block {
    display: flex;
    justify-content: space-between;
    padding: 0 60px;
    align-items: center;
  }
  .info-block .buttons_block {
    display: flex;
    flex-direction: column;
  }
  .info-block .buttons_block div {
    display: flex;
    align-items: center;
    gap: 13px;
    width: 332px;
    cursor: pointer;
    border-radius: 20px;
    transition: 0.1s linear;
  }

  .info-block .buttons_block div.active {
    background-color: #181616;
  }

  .info-block .buttons_block div img {
    cursor: pointer;
    border-radius: 100px;
    padding: 4px;
    color: transparent;
    transition: opacity 0.2s linear;
  }
  .info-block .buttons_block div p {
    font-size: 16px;
    font-weight: 600;
  }

  .info-block .text {
    max-width: 300px;
  }

  .info-block .image-container .image {
    margin-top: 24px;
    width: 100%;
    max-width: 510px;
    transition: opacity 0.2s linear;
  }

  .footer {
    display: flex;
    justify-content: space-between;
    margin-top: 70px;
    padding: 30px 60px;
  }
  .footer .fst-col .links {
    margin-top: 16px;
    display: flex;
    gap: 30px;
  }
  .footer .fst-col .links img {
    cursor: pointer;
  }

  .footer .fst-col .rights {
    margin-top: 38px;
    color: rgba(255, 255, 255, 0.6);
    font-size: 12px;
    font-weight: 500;
  }

  .footer .link-col {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
  .footer .link-col p {
    color: #494949;
    cursor: pointer;
    transition: 0.1s linear;
  }
  .footer .link-col p:hover {
    color: #7a7a7a;
  }
}

@keyframes scrollRight {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 100% 0;
  }
}

@keyframes scrollLeft {
  from {
    background-position: 100% 0;
  }
  to {
    background-position: 0 0;
  }
}
